IRC Logs for #crux-devel Monday, 2015-11-30

frinnstspice-gtk gives this error for me: http://bd2f6f6bcc5828d4.paste.se/00:02
teK____yay..00:03
frinnstmissing six dep i guess00:03
teK____probably00:03
frinnstyep00:03
teK____six==1.7.300:04
teK____here00:04
teK____meh.00:04
frinnstI installed contrib/six00:04
frinnst1.9.0 - 1.10.0 appears to be available00:04
teK____@Romster00:05
teK____well00:05
teK____just another dependency00:05
teK____D:00:05
teK____thanks00:05
frinnstwell, it's just one file :)00:05
frinnstsleepytime00:06
teK____ssds tomorrow? :]00:06
teK____otherwhise: have a nice sleepy time.00:06
frinnstyou can find them here: https://www.obra.se/crux/ports/dhcp/00:08
teK____ty00:09
Romstersix and the rest of the stuff i maintain, i'll bump it after work. i'm still stuck on libtorrent-rasterbar02:05
*** _mavric61 has quit IRC03:33
*** pitillo has quit IRC07:48
*** pitillo has joined #crux-devel07:48
*** gb00s has joined #crux-devel08:29
*** heroux has quit IRC08:29
*** heroux has joined #crux-devel08:29
*** _mavric61 has joined #crux-devel09:38
*** novak has quit IRC10:35
*** novak has joined #crux-devel10:36
*** novak has quit IRC10:48
*** novak has joined #crux-devel10:48
*** novak has quit IRC11:40
*** novak has joined #crux-devel11:55
frinnstRomster: does lynx build for you on 3.2?12:56
frinnstmy error: http://4c119c50d9e6224e.paste.se/12:56
*** deus_ex has quit IRC13:19
jueno, either change --with-screen=ncursesw to --with-screen=ncurses or, better, remove the option altogether13:46
*** novak has quit IRC13:48
*** novak has joined #crux-devel13:53
*** gb00s has quit IRC14:00
*** novak has quit IRC14:04
*** novak has joined #crux-devel15:35
*** deus_ex has joined #crux-devel15:36
*** gb00s has joined #crux-devel15:42
teK____hey Romster, what's cooking :)16:15
jaegerfrinnst: if firefox is missing usr/include/firefox/libav* after a build does that indicate it's not able to find gstreamer stuff? (the gst deps are installed)16:45
*** gb00s has quit IRC16:56
frinnsthm17:06
frinnstopt/firefox?17:06
jaegeryes. x86 system, though17:06
frinnstah ok17:06
frinnsti'll try to fire it up in a clean vm17:06
frinnstjust have to watch walking dead first :)17:07
jaeger:)17:07
jaegerhttp://sprunge.us/EdRC <-- the build log17:08
jaegerchecking for gstreamer-1.0 >= 1.0 gstreamer-app-1.0 gstreamer-plugins-base-1.0... yes17:08
jaegerchecking GSTREAMER_CFLAGS... -pthread -I/usr/include/gstreamer-1.0 -I/usr/lib/gstreamer-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include17:08
jaegerchecking GSTREAMER_LIBS... -lgstapp-1.0 -lgstbase-1.0 -lgstreamer-1.0 -lgobject-2.0 -lglib-2.017:08
frinnstbut yeah, should be gstreamer related at least17:09
frinnstyou can probably check the footprint of the first firefox with gst support in git17:10
jaegerIt does build properly, just missing those 3 files17:10
jaegerI don't see anything obvious in the logs17:11
jaegerno worries, though, not high priority17:11
*** heroux has quit IRC18:33
*** heroux has joined #crux-devel18:42
frinnsthah, mozilla did it again20:53
frinnstnow I know what happened with firefox and gtk3 during the iso - mozilla simply switches back the toolkit to gtk2 late in the rc cycle20:53
frinnstduring the crux 3.2rc's*20:55
jaegerweird. and annoying21:31
Romsterwha tthe hhell is up with ncurses and lynx anyways, i still haven't got libtorrent-rasterbar sorted nor looked at inkscape, and then qt5 builds fine with it's deps, but if i install a ton more ports (namely all those i maintain from opt) it fails to build and does not give a clear error message.21:36
Romsterjaeger, you probably need gstreamer and gst-plugins-base-32 the stuff in compat-32 is the older gstreamer because no on ine wine is working on porting it to the new gstreamer21:38
Romsterand sepen still has not chimed in with libvpx bug report.21:39
*** novak has quit IRC21:41
*** novak has joined #crux-devel21:42
*** maldoror has joined #crux-devel21:55
jaegernot sure how wine figures in, just trying to make sure firefox is built properly on the x86 system. No multilib involved.21:56
*** maldoror has quit IRC22:06
Worksterwine uses compat-32/gst-plugins-base-compat-32 there is no compat-32/gst-plugins-base-32 for firefox 32bit22:08
jaegershouldn't be needed in this case22:10
jaegerI am not building 32-bit firefox on a 64-bit system22:10
jaegerI am building firefox on a 32-bit system. There is no multilib involved here.22:10
Worksterarn't you usig compat-32 at all well you'll need to pull in gstreamer and gst-plugins-base and overlay them22:11
Worksterunless they build as is on i68622:11
jaegerThey seem to build as-is22:11
Worksterdon't know where my mind is atm -_-22:12
Workstermost of the stuff should just build as i68622:12
*** deus_ex has quit IRC23:59

Generated by irclog2html.py 2.11.0 by Marius Gedminas - find it at mg.pov.lt!